Get presigned URLs for upload parts
curl --request POST \
--url https://core.cyberun.cloud/api/v1/uploads/multipart/presign-parts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"storage_key": "<string>",
"upload_id": "<string>",
"part_numbers": [
1,
2,
3,
4,
5
]
}
'import requests
url = "https://core.cyberun.cloud/api/v1/uploads/multipart/presign-parts"
payload = {
"storage_key": "<string>",
"upload_id": "<string>",
"part_numbers": [1, 2, 3, 4, 5]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({storage_key: '<string>', upload_id: '<string>', part_numbers: [1, 2, 3, 4, 5]})
};
fetch('https://core.cyberun.cloud/api/v1/uploads/multipart/presign-parts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"part_urls": [
{
"part_number": 123,
"upload_url": "<string>"
}
]
}{
"error_message": "resource not found"
}{
"error_message": "resource not found"
}Upload
Get presigned URLs for upload parts
Generate presigned PUT URLs for specific parts of a multipart upload. Each URL has a 1-hour expiry. Call again to refresh expired URLs.
POST
/
uploads
/
multipart
/
presign-parts
Get presigned URLs for upload parts
Authorizations
User session JWT (Bearer ). Must be paired with the X-Team-ID
request header on team-scoped endpoints so the server knows which
team's resources to operate on.
Body
application/json
Request presigned upload URLs for specific parts.
S3 object key for the upload.
S3 multipart upload identifier from initiate.
Part numbers to generate presigned URLs for (1-based).
Required array length:
1 - 100 elementsRequired range:
1 <= x <= 10000Example:
[1, 2, 3, 4, 5]
Response
Presigned part URLs generated
Show child attributes
Show child attributes
⌘I
